Package org.eclipse.mat.ui

## Class SnapshotHistoryService.Entry

- java.lang.Object
- - org.eclipse.mat.ui.SnapshotHistoryService.Entry

All Implemented Interfaces:
  `java.io.Serializable`

Enclosing class:
  SnapshotHistoryService

    public static class SnapshotHistoryService.Entry
    extends java.lang.Object
    implements java.io.Serializable

See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object obj)`
`java.lang.String` `getEditorId()`
`java.lang.Long` `getFileLength()`
`java.lang.String` `getFilePath()`
`java.io.Serializable` `getInfo()`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getFileLength

    public java.lang.Long getFileLength()

#### getEditorId

    public java.lang.String getEditorId()

#### getFilePath

    public java.lang.String getFilePath()

#### getInfo

    public java.io.Serializable getInfo()

#### equals

    public boolean equals​(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`